# Interplanetary Invaders

Shoot off into the solar system after space invaders attack Earth!  But beware, each planet is riddled with new tricks and threats...  Earn new vehicles like NASA's Curiosity rover, conquer intimidating bosses, and shoot many, many lasers.  Realistic physics, diverse power-ups, vivid explosions, and sciency vibes separate this game from your typical space-invaders clone.

## Installation

Requires python 3.7 or greater.

```bash
python -m pip install interplanetary-invaders --user
```



## Running the game

After installing with `pip`, run the game with its module:

```bash
python -m interplanetary_invaders
```

Or run the `run_game.py` script to launch it from the repo directory.

Installation with `pip` may also create the `interplanetary-invaders` entrypoint.



## Playing the game

 ![Gameplay Screenshot](https://github.com/nachomonkey/Interplanetary-Invaders/blob/master/docs/collage.png)

##### Controls:

Control the game with the arrow keys or WASD keys.

Press **Y** or a specific number key (1-9) to use collected items.

Press **F2** to take screenshots. Screenshots are stored in the user's "data" directory, which is printed on startup.

##### Notes:

You may need to acquire "Space Transport Licenses" from the Stores to use heavy vehicles on other planets.

*The game does not have a proper ending at the moment, but I dare you to beat all of the missions.*



## Acknowledgements

### Game assets:

* Credit to NASA for many of the realistic space images used in the game, as described in the credits.
* [Flak Bursts sound](https://freesound.org/people/zimbot/sounds/209984/) (modified) is by [zimbot](https://freesound.org/people/zimbot/) (CC BY 4.0)
* Cash Register sound is by [kiddpark](https://freesound.org/people/kiddpark/) (CC BY 4.0)
* The green alien crash sound was made with a sound by [spoonsandlessspoons](https://freesound.org/people/spoonsandlessspoons/) (CC BY 4.0)

### Other contributers:

* @XracerX



## License

This software is under the GNU GPLv3 License. See the [LICENSE](https://github.com/nachomonkey/Interplanetary-Invaders/blob/master/LICENSE) file for the full license.

